<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::afml::FocusManager::ChannelConfiguration Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1afml.html">afml</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_focus_manager.html">FocusManager</a></li><li class="navelem"><a class="el" href="structalexa_client_s_d_k_1_1afml_1_1_focus_manager_1_1_channel_configuration.html">ChannelConfiguration</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structalexa_client_s_d_k_1_1afml_1_1_focus_manager_1_1_channel_configuration-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::afml::FocusManager::ChannelConfiguration Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_focus_manager_8h_source.html">FocusManager.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ad83e19eea25ba78da4731426677eac8b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1afml_1_1_focus_manager_1_1_channel_configuration.html#ad83e19eea25ba78da4731426677eac8b">ChannelConfiguration</a> (const std::string &amp;configName, unsigned int configPriority)</td></tr>
<tr class="separator:ad83e19eea25ba78da4731426677eac8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3df469158c283d3f6e4e5c732d1e5840"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1afml_1_1_focus_manager_1_1_channel_configuration.html#a3df469158c283d3f6e4e5c732d1e5840">toString</a> () const</td></tr>
<tr class="separator:a3df469158c283d3f6e4e5c732d1e5840"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a50432bb46625ce0be8ebdeb25e2dccfd"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1afml_1_1_focus_manager_1_1_channel_configuration.html#a50432bb46625ce0be8ebdeb25e2dccfd">name</a></td></tr>
<tr class="memdesc:a50432bb46625ce0be8ebdeb25e2dccfd"><td class="mdescLeft">&#160;</td><td class="mdescRight">The name of the channel.  <a href="#a50432bb46625ce0be8ebdeb25e2dccfd">More...</a><br /></td></tr>
<tr class="separator:a50432bb46625ce0be8ebdeb25e2dccfd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a1cdb3ac4e42f4d23479d9dfeb8ac67"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1afml_1_1_focus_manager_1_1_channel_configuration.html#a8a1cdb3ac4e42f4d23479d9dfeb8ac67">priority</a></td></tr>
<tr class="memdesc:a8a1cdb3ac4e42f4d23479d9dfeb8ac67"><td class="mdescLeft">&#160;</td><td class="mdescRight">The priority of the channel.  <a href="#a8a1cdb3ac4e42f4d23479d9dfeb8ac67">More...</a><br /></td></tr>
<tr class="separator:a8a1cdb3ac4e42f4d23479d9dfeb8ac67"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">The configuration used by the <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_focus_manager.html">FocusManager</a> to create <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a> objects. Each configuration object has a name and priority. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ad83e19eea25ba78da4731426677eac8b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad83e19eea25ba78da4731426677eac8b">&#9670;&nbsp;</a></span>ChannelConfiguration()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::afml::FocusManager::ChannelConfiguration::ChannelConfiguration </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>configName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>configPriority</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Constructor.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">configName</td><td>The name of the <a class="el" href="classalexa_client_s_d_k_1_1afml_1_1_channel.html">Channel</a>. </td></tr>
    <tr><td class="paramname">configPriority</td><td>The priority of the channel. Lower number priorities result in higher priority Channels. The highest priority number possible is 0. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a3df469158c283d3f6e4e5c732d1e5840"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3df469158c283d3f6e4e5c732d1e5840">&#9670;&nbsp;</a></span>toString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::afml::FocusManager::ChannelConfiguration::toString </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Converts the config to a string.</p>
<dl class="section return"><dt>Returns</dt><dd>A string version of the <code><a class="el" href="structalexa_client_s_d_k_1_1afml_1_1_focus_manager_1_1_channel_configuration.html">ChannelConfiguration</a></code> data. </dd></dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a50432bb46625ce0be8ebdeb25e2dccfd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a50432bb46625ce0be8ebdeb25e2dccfd">&#9670;&nbsp;</a></span>name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::afml::FocusManager::ChannelConfiguration::name</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The name of the channel. </p>

</div>
</div>
<a id="a8a1cdb3ac4e42f4d23479d9dfeb8ac67"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8a1cdb3ac4e42f4d23479d9dfeb8ac67">&#9670;&nbsp;</a></span>priority</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int alexaClientSDK::afml::FocusManager::ChannelConfiguration::priority</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The priority of the channel. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/AFML/include/AFML/<a class="el" href="_focus_manager_8h_source.html">FocusManager.h</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
